Bug 818952 - basic c:group support for BaseComponent and AS7 plugin is not currently working
basic c:group support for BaseComponent and AS7 plugin is not currently working
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Simeon Pinder
Mike Foley
:
Depends On:
Blocks: as7-plugin 823029
  Show dependency treegraph
 
Reported: 2012-05-04 09:26 EDT by Simeon Pinder
Modified: 2013-09-01 15:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 823029 (view as bug list)
Environment:
Last Closed: 2013-09-01 15:19:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for edit/load c:group support. (8.17 KB, text/plain)
2012-05-04 13:39 EDT, Simeon Pinder
no flags Details
itests for c:group checking. (13.34 KB, text/plain)
2012-05-11 16:06 EDT, Simeon Pinder
no flags Details

  None (edit)
Description Simeon Pinder 2012-05-04 09:26:07 EDT
Description of problem:
Within the AS7 plugin descriptor if you group arbitrary elements using <c:group> tags not requiring special handling then the ConfigurationFacet.loadConfiguration and ConfigurationFacet.updateConfiguration mechanisms do not work properly. The UI will display the grouped elements correctly however.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Modify the plugin to use <c:group without using AS7 special handling of c:groups and rebuild/redeploy the plugin.
2. To test with Modcluster, run EAP ER6 with one of the -ha profiles and navigate to the Configuration tab.

  
Actual results:
The components will be correctly organized/grouped but not set correctly.

Expected results:
The components should be correctly organized/grouped and set/updated correctly.

Additional info:
Comment 1 Simeon Pinder 2012-05-04 13:39:55 EDT
Created attachment 582171 [details]
patch for edit/load c:group support.
Comment 2 Simeon Pinder 2012-05-07 09:29:09 EDT
Setting NeedInfo on heiko so he can review the patch to see if I nicked anything.
Comment 3 Mike Foley 2012-05-08 15:33:30 EDT
per BZ triage ... crouch, loleary, foley
Comment 4 Heiko W. Rupp 2012-05-08 16:01:15 EDT
Simeon, can you please also add tests for this (ConfigLoadTest, ConfigUpdateTest)?
Comment 5 Simeon Pinder 2012-05-11 16:06:27 EDT
Created attachment 583917 [details]
itests for c:group checking.
Comment 6 Simeon Pinder 2012-05-11 16:08:16 EDT
Heiko, I've added tests for the ConfigLoad and ConfigUpdate.  Can you review the patches so that I can check these into master?

Setting NeedInfo on heiko but leaving this on_dev.
Comment 7 Heiko W. Rupp 2012-05-15 15:17:25 EDT
Go ahead
Comment 8 Simeon Pinder 2012-05-18 16:15:24 EDT
Committed to master: 
edc0315a43f
71442395543

Moving this to ON_QA.
Comment 9 Heiko W. Rupp 2013-09-01 15:19:09 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.